loading...

gyp: No Xcode or CLT version

takuyakikuchi99 profile image Takuya Kikuchi Updated on ・1 min read

Error Summary

When I run npm install or npm ci, I get below error sometimes.

Alt Text

Solutions

  1. Get the location of the installed command-line tools

    xcode-select --print-path

  2. Remove it

    sudo rm -r -f /Library/Developer/CommandLineTools

  3. Install Xcode

    xcode-select --install

  4. Run npm install or npm ci again

Reference

These articles explain better.

English
gyp: No Xcode or CLT version detected macOS Catalina | Anansewaa

Japanese
npm install でエラー。gyp: No Xcode or CLT version detected!

Discussion

pic
Editor guide